---
title: lang
slug: Web/XPath/Functions/lang
tags:
  - XSLT
  - XSLT_Reference
---
<p>{{ XsltRef() }}</p>

<p><br>
 The <code>lang</code> function determines whether the context node matches the given language and returns boolean true or false.</p>

<h3 id="Syntax">Syntax</h3>

<pre class="eval">lang(<em>string</em> )
</pre>

<h3 id="Arguments">Arguments</h3>

<dl>
 <dt><code><em>string</em></code></dt>
 <dd>The language code or localization (language and country) code to be matched.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p><code>true</code> if the context node matches the given languages. Otherwise, <code>false</code>.</p>

<h3 id="Notes">Notes</h3>

<ul>
 <li>A node's language is determined by its <code>xml:lang</code> attribute. If the current node does not have an <code>xml:lang</code> attribute, then the value of the <code>xml:lang</code> attribute of the nearest ancestor that has an <code>xml:lang</code> attribute will determine the current node's language. If the language cannot be determined (no ancestor has an <code>xml:lang</code> attribute), this function will return false.</li>
</ul>

<ul>
 <li>If the given <code><em>string</em></code> does not specify a country code, this function will match nodes of that language with any country code. The converse is not true.</li>
</ul>

<p>Given this fragment of XML:</p>

<pre>&lt;p xml:lang="en"&gt;I went up a floor.&lt;/p&gt;
&lt;p xml:lang="en-GB"&gt;I took the lift.&lt;/p&gt;
&lt;p xml:lang="en-US"&gt;I rode the elevator.&lt;/p&gt;</pre>

<p>And this part of an XSL template:</p>

<pre class="eval">&lt;xsl:value-of select="count(//p[lang('en')])" /&gt;
&lt;xsl:value-of select="count(//p[lang('en-GB')])" /&gt;
&lt;xsl:value-of select="count(//p[lang('en-US')])" /&gt;
&lt;xsl:value-of select="count(//p[lang('de')])" /&gt;
</pre>

<p>The output might be:</p>

<pre class="eval">3
1
1
0
</pre>

<h3 id="Defined">Defined</h3>

<p><a class="external" href="http://www.w3.org/TR/xpath#function-lang">XPath 1.0 4.3</a></p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Supported.</p>
